Quadrature.h File Reference
`#include "Finley.h"`

Go to the source code of this file.

## Classes

struct | finley::QuadInfo

## Namespaces

| finley
| A suite of factory methods for creating various finley domains.

## Macros

#define | MAX_numQuadNodesLine 10

## Typedefs

typedef void() | finley::Quad_getNodes(int, std::vector< double > &, std::vector< double > &)
typedef int() | finley::Quad_getNumNodes(int)
typedef int() | finley::Quad_getMacro(int numSubElements, int numQuadNodes, const double *quadNodes, const double *quadWeights, int numF, const double *dFdv, int new_len, double *new_quadNodes, double *new_quadWeights, double *new_dFfv)

## Enumerations

enum | finley::QuadTypeId { finley::PointQuad , finley::LineQuad , finley::TriQuad , finley::RecQuad , finley::TetQuad , finley::HexQuad , finley::NoQuad }

## Functions

void | finley::Quad_makeNodesOnFace (int, int, double *, double *, Quad_getNodes)
const QuadInfo * | finley::QuadInfo_getInfo (QuadTypeId id)

## Variables

Quad_getMacro | finley::Quad_MacroPoint
Quad_getMacro | finley::Quad_MacroLine
Quad_getMacro | finley::Quad_MacroTri
Quad_getMacro | finley::Quad_MacroRec
Quad_getMacro | finley::Quad_MacroTet
Quad_getMacro | finley::Quad_MacroHex
Quad_getNodes | finley::Quad_getNodesTri
Quad_getNodes | finley::Quad_getNodesTet
Quad_getNodes | finley::Quad_getNodesRec
Quad_getNodes | finley::Quad_getNodesHex
Quad_getNodes | finley::Quad_getNodesLine
Quad_getNodes | finley::Quad_getNodesPoint
Quad_getNodes | finley::Quad_getNodesTriOnFace
Quad_getNodes | finley::Quad_getNodesRecOnFace
Quad_getNodes | finley::Quad_getNodesLineOnFace
Quad_getNodes | finley::Quad_getNodesPointOnFace
Quad_getNodes | finley::Quad_getNodesTriMacro
Quad_getNodes | finley::Quad_getNodesTetMacro
Quad_getNodes | finley::Quad_getNodesRecMacro
Quad_getNodes | finley::Quad_getNodesHexMacro
Quad_getNodes | finley::Quad_getNodesLineMacro
Quad_getNumNodes | finley::Quad_getNumNodesPoint
Quad_getNumNodes | finley::Quad_getNumNodesLine
Quad_getNumNodes | finley::Quad_getNumNodesTri
Quad_getNumNodes | finley::Quad_getNumNodesRec
Quad_getNumNodes | finley::Quad_getNumNodesTet
Quad_getNumNodes | finley::Quad_getNumNodesHex

## Macro Definition Documentation

## MAX_numQuadNodesLine

#define MAX_numQuadNodesLine 10